Bug 832904 - SELinux is preventing npviewer.bin from 'unlink' accesses on the sock_file socket-2351-1804289383.
SELinux is preventing npviewer.bin from 'unlink' accesses on the sock_file so...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:887ef7f24eea65c1fbbc99c5544...
:
: 838060 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 03:45 EDT by Ashley
Modified: 2013-08-01 00:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:58:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashley 2012-06-18 03:45:56 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.i686
time:           Mon 18 Jun 2012 05:45:39 PM ChST

description:
:SELinux is preventing npviewer.bin from 'unlink' accesses on the sock_file socket-2351-1804289383.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed unlink access on the socket-2351-1804289383 sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:xdm_tmp_t:s0
:Target Objects                socket-2351-1804289383 [ sock_file ]
:Source                        npviewer.bin
:Source Path                   npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-130.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.i686 #1 SMP Sun Jun
:                              3 07:16:04 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Mon 18 Jun 2012 05:03:35 PM ChST
:Last Seen                     Mon 18 Jun 2012 05:03:35 PM ChST
:Local ID                      1043506d-bd1a-4f11-b834-0bfd6b4d2eea
:
:Raw Audit Messages
:type=AVC msg=audit(1340003015.168:75): avc:  denied  { unlink } for  pid=2351 comm="npviewer.bin" name="socket-2351-1804289383" dev="dm-1" ino=269233 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:xdm_tmp_t:s0 tclass=sock_file
:
:
:Hash: npviewer.bin,mozilla_plugin_t,xdm_tmp_t,sock_file,unlink
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-18 12:03:27 EDT
Are you able to reproduce it?
Comment 2 Miroslav Grepl 2012-07-09 03:47:31 EDT
*** Bug 838060 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-07-03 20:50:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 00:58:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.